Skip to main content

Performance Issue: Installing Net-Print print queue on macOS Catalina will not work

Last Updated:
2019-11-26 08:26:21
Event:
2019-10-11 08:04:00
Status:
Closed
Brief Description:
The installer for setting up print queues for the first time with Net-Print is currently not compatible with the latest version of macOS, Catalina. Cornell is working on a resolution.
User Impact:
On a new Mac or one that has been upgraded to macOS Catalina, unable to run he installer for setting up print queues for the first time with Net-Print.
Workaround:
Contact the IT Service Desk.
Current Status:
This issue has been resolved. Starting 8:00am, 11/26/2019, a new version of the Net-Print installer for macOS will be available that is compatible with macOS 10.15 (Catalina). When installing Net-Print, users should consult the installation documentation for the appropriate version of macOS, at https://it.cornell.edu/net-print/install-net-print-mac.
Services Affected:
Printing
Subsites Affected:
Net-Print
Full Description:
The latest version of macOS, Catalina, requires 64-bit apps and 32-bit apps will not run after a Mac is upgraded to Catalina or on new Macs. The installer for setting up print queues for the first time with Net-Print is currently not compatible and Cornell is working on a resolution.

If a print queue is already installed on a Mac and it is upgraded to Catalina, the queue will continue to work.

If you have upgraded to Catalina or have a new Mac and want to install the print queue you should contact the IT Service Desk. A workaround is available and can be used until a new installation package is available.



Timeline of Changes

Description Current Status Date Time
The latest version of macOS, Catalina, requires 64-bit apps and 32-bit apps will not run after a Mac is upgraded to Catalina or on new Macs. The installer for setting up print queues for the first time with Net-Print is currently not compatible and Cornell is working on a resolution. If a print queue is already installed on a Mac and it is upgraded to Catalina, the queue will continue to work. If you have upgraded to Catalina or have a new Mac and want to install the print queue you should contact the IT Service Desk. A workaround is available and can be used until a new installation package is available. This issue has been resolved. Starting 8:00am, 11/26/2019, a new version of the Net-Print installer for macOS will be available that is compatible with macOS 10.15 (Catalina). When installing Net-Print, users should consult the installation documentation for the appropriate version of macOS, at https://it.cornell.edu/net-print/install-net-print-mac. 2019-11-26 08:26:21
The latest version of macOS, Catalina, requires 64-bit apps and 32-bit apps will not run after a Mac is upgraded to Catalina or on new Macs. The installer for setting up print queues for the first time with Net-Print is currently not compatible and Cornell is working on a resolution. If a print queue is already installed on a Mac and it is upgraded to Catalina, the queue will continue to work. If you have upgraded to Catalina or have a new Mac and want to install the print queue you should contact the IT Service Desk. A workaround is available and can be used until a new installation package is available. Cornell staff are working on an updated installer and devloping documentation. 2019-11-14 13:48:11
The latest version of macOS, Catalina, requires 64-bit apps and 32-bit apps will not run after a Mac is upgraded to Catalina or on new Macs. The installer for setting up print queues for the first time with Net-Print is currently not compatible and Cornell is working on a resolution. If a print queue is already installed on a Mac and it is upgraded to Catalina, the queue will continue to work. If you have upgraded to Catalina or have a new Mac and want to install the print queue you should contact the IT Service Desk. A workaround is available and can be used until a new installation package is available. Cornell staff are continuing to work on this issue. 2019-10-11 10:00:38
The latest version of macOS, Catalina, requires 64-bit apps and 32-bit apps will not run after a Mac is upgraded to Catalina or on new Macs. The installer for setting up print queues for the first time with Net-Print is currently not compatible and Cornell is working on a resolution. If the print queue is already installed on a Mac and it is upgraded to Catalina, the app will continue to work. If you have upgraded to Catalina or have a new Mac and want to install the print queue you should contact the IT Service Desk. A workaround is available and can be used until a new installation package is available. Cornell staff are working on a new installation package. If you have upgraded to Catalina or have a new Mac and want to install the print queue, contact the IT Service Desk for a workaround. 2019-10-11 08:09:38